netaudio
	[-r] --receive [address[:port]] [-a] --attach address[:port] (default)
		Receive data and send to stdout (downlink mode)
		Address and port, if specified, will restrict the listener
		to bind to a specific interface and port. If not specified,
		all interfaces will be bound to using port 31337.
		If [address] is given, the client will attempt to connect
		to an open server (or broadcasting server), otherwise,
		no address will be used, and broadcast mode will accept
		a single connection from any site.

		--attach:
		Listens for send connections (only one) on the
		specified attach address.  Use this in conjunction
		with --broadcast to allow broadcast connections
		from any other site.  If --attach is not specified,
		netaudio will bind to INADDR_ANY (or accept connections
		on any address for the specified port.)
	[-s] --send address[:port]
		Send stdin to remote address (uplink mode)
	[-b] --broadcast [address:[port]]
		Run in broadcast mode, accept any number of connections and
		send stdout to all of them (broadcast mode)
	[-f] --framesize xxx
		Read and send data in xxx byte frames (to preserve
		integrity of data streams. GSM uses 33 byte frames).
		33 is the default value.
	[-h] --http text
		Run in basic HTTP server mode, accept any single 'GET' and
		Return "text" as the HTTP content-type
	[-c] --connections file
		Store active connections in file
	[-v] --verbose
		Verbose output
	[-q] --quiet
		Silent running (no output at all.)

A simple broadcasting station:
(8k/sec sun mu-law audio)

	netaudio --broadcast --http "audio/basic" < /dev/audio

A simple broadcasting station:
(8k/sec sun mu-law audio compressed to 1.6k/sec GSM)

	toast < /dev/audio | \
	netaudio --broadcast --framesize 33 --http "audio/x-gsm"

Point to point:
(8k/sec sun mu-law audio)

	sender
	netaudio --send receiver < /dev/audio

	receiver
	netaudio --receive > /dev/audio

Uplink from slow site to fast broadcast site:
(8k/sec sun mu-law audio rebroadcasted at 1.6k/sec GSM)

	uplink : send 8k/sec sun mu-law audio to broadcast site
	netaudio --send downlink < /dev/audio

	downlink : recieve 8k/sec audio and rebroadcast it in 1.6k/sec GSM
	netaudio --receive | tcat | \
        netaudio --broadcast --framesize 33 --http "audio/x-gsm"
