/*
** Network Audio Front-End (netaudio)
** Send routines
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <termios.h>
#include <unistd.h>
#include <netdb.h>

#include "netaudio.h"

void send_connect(void)
{
    struct protoent *p;
    struct sockaddr_in sin;
    int sock, num_read, num_write;

    bzero((char *) &sin, sizeof(sin));
    sin.sin_family = AF_INET;
    sin.sin_port = htons(port);
    sin.sin_addr.s_addr = inet_addr(address);

    p = getprotobyname("tcp");
    if ((sock = socket(AF_INET, SOCK_STREAM, p->p_proto)) < 0) {
	perror("socket(send)");
	exit(-1);
    }

    if (connect(sock, (struct sockaddr *) &sin, sizeof(sin)) < 0) {
	perror("connect(send)");
	exit(-1);
    }

    tcdrain(sock);

    if (!is_quiet)
	fprintf(stderr, "netaudio(send): remote connection established.\n");

    while(1) {
	char buffer[MAX_BUFFER];

	if ((num_read = read(STDIN_FILENO, &buffer, frame_size)) <= 0) {
	    if (num_read)
		perror("read(send)");

	    if (!is_quiet)
		fprintf(stderr, "netaudio(send): connection closed.\n");

	    (void) shutdown(sock, 2);
	    close(sock);

	    exit(-1);
	}

	if ((num_write = write(sock, (char *) &buffer, num_read)) <= 0) {
	    if (num_write)
		perror("write(send)");

	    if (!is_quiet)
		fprintf(stderr, "netaudio(send): send error on remote end (premature close?)\n");

	    (void) shutdown(sock, 2);
	    close(sock);

	    exit(-1);
	}
    }
}
